/*
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o File        o IRQHandler.h                                           
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Author      o EM Microelectronic-Marin SA
o Company     o EM Microelectronic-Marin SA                                                                            
o Project     o skeleton EM6812                                      
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo                                                                                                                                                                      
o Comments    o Interupt handler - dependencie file
o             o
o             o                                     
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o Version     o 1.0
o Date        o 10.11.04
o Change      o Initial                                          
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
*/


// Definitions section                                           
#ifndef __IRQHandler__
#define __IRQHandler__

// Include section
#include "Types.h"

// Function section

// Priority level 1
void Handle_Irq_PA7(void);
void Handle_Irq_PA6(void);
void Handle_Irq_PA5(void);
void Handle_Irq_PA4(void);
void Handle_Irq_PA3(void);
void Handle_Irq_PA2(void);
void Handle_Irq_PA1(void);
void Handle_Irq_PA0(void);

// Priority level 2

void Handle_Irq_DR	(void);
void Handle_Irq_SPI(void);
void Handle_Irq_Tim4(void);
void Handle_Irq_Tim3(void);
void Handle_Irq_Tim2(void);
void Handle_Irq_Tim1(void);

// Priority level 0

void Handle_Irq_ClkPresc1_7(void);
void Handle_Irq_ClkPresc1_5(void);
void Handle_Irq_ClkPresc1_0(void);
void Handle_Irq_pm_miss_skip(void);

#endif /* __IRQHandler__ */


