/*
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o File        o Periph.h
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Author      o EM Microelectronic-Marin SA
o Company     o EM Microelectronic-Marin SA
o Project     o skeleton EM6812
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Comments    o Peripheral file - dependencie file
o             o
o             o
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Version     o 1.0
o Date        o 10.11.04
o Change      o Initial
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
*/

// Definitions section
#ifndef __PERIPH_
#define __PERIPH_

// Include section
#include "Types.h"

// Register section

// LPRam block can be alternatively defined as stand-alone
// register location or merged as RAM memory block
extern volatile UINT8 LPRam0  PAGE0; // Adr. 0x00
extern volatile UINT8 LPRam1  PAGE0; // Adr. 0x01
extern volatile UINT8 LPRam2  PAGE0; // Adr. 0x02
extern volatile UINT8 LPRam3  PAGE0; // Adr. 0x03
extern volatile UINT8 LPRam4  PAGE0; // Adr. 0x04
extern volatile UINT8 LPRam5  PAGE0; // Adr. 0x05
extern volatile UINT8 LPRam6  PAGE0; // Adr. 0x06
extern volatile UINT8 LPRam7  PAGE0; // Adr. 0x07
extern volatile UINT8 LPRam8  PAGE0; // Adr. 0x08
extern volatile UINT8 LPRam9  PAGE0; // Adr. 0x09
extern volatile UINT8 LPRam10 PAGE0; // Adr. 0x0A
extern volatile UINT8 LPRam11 PAGE0; // Adr. 0x0B
// Dual-Port ram
extern volatile UINT8 RegRam0 PAGE0; // Adr. 0x0C
extern volatile UINT8 RegRam1 PAGE0; // Adr. 0x0D
extern volatile UINT8 RegRam2 PAGE0; // Adr. 0x0E
extern volatile UINT8 RegRam3 PAGE0; // Adr. 0x0F

extern volatile UINT8 RegSys1 PAGE0; // Adr. 0x10
  #define Sleep           BIT7
  #define DisResetPad     BIT6
  #define DisResInp       BIT5
  #define FlagXtal        BIT4
  #define OPTCldStart_1   BIT3
  #define OPTCldStart_0   BIT2
  #define FreqRange       BIT1
  #define EnRC            BIT0
extern volatile UINT8 RegSys2 PAGE0; // Adr.11
  #define EnXtal          BIT7
  #define SelExtHFck      BIT6
  #define SelHFckSource   BIT5
  #define SelExtLFck      BIT4
  #define Sel32k          BIT2
  #define RCDiv_1         BIT1
  #define RCDiv_0         BIT0
extern volatile UINT8 RegResStat PAGE0; // Adr.12
  #define ResetPadFlag    BIT7
  #define ResetWDFlag     BIT6
  #define ResPAInpFlag    BIT5
  #define ResBwnOutFlag   BIT4
  #define SleepEn         BIT3
  #define EnDebResPad     BIT2
  #define CkDebResPad     BIT1
  #define DatOscout       BIT0
extern volatile UINT8 RegTrimRC PAGE0; // Adr.13
  #define Trim_7          BIT7
  #define Trim_6          BIT6
  #define Trim_5          BIT5
  #define Trim_4          BIT4
  #define Trim_3          BIT3
  #define Trim_2          BIT2
  #define Trim_1          BIT1
  #define Trim_0          BIT0
extern volatile UINT8 RegPrCkSel PAGE0; // Adr.14
  #define Pr1CkSel_2      BIT7
  #define Pr1CkSel_1      BIT6
  #define Pr1CkSel_0      BIT5
  #define AutoSel         BIT4
  #define Pr2CkSel        BIT3
extern volatile UINT8 RegPr1Status PAGE0; // Adr.15
  #define Pr1CkStatus_7   BIT7
  #define Pr1CkStatus_6   BIT6
  #define Pr1CkStatus_5   BIT5
  #define Pr1CkStatus_4   BIT4
  #define Pr1CkStatus_3   BIT3
  #define Pr1CkStatus_2   BIT2
  #define Pr1CkStatus_1   BIT1
  #define Pr1CkStatus_0   BIT0
extern volatile UINT8 RegPr2Status PAGE0; // Adr.16
  #define Pr2CkStatus_7   BIT7
  #define Pr2CkStatus_6   BIT6
  #define Pr2CkStatus_5   BIT5
  #define Pr2CkStatus_4   BIT4
  #define Pr2CkStatus_3   BIT3
  #define Pr2CkStatus_2   BIT2
  #define Pr2CkStatus_1   BIT1
  #define Pr2CkStatus_0   BIT0
extern volatile UINT8 RegInt20 PAGE0; // Adr.17
  #define Int2_7          BIT7
  #define Int2_6          BIT6
  #define Int2_5          BIT5
  #define Int2_4          BIT4
  #define Int2_3          BIT3
  #define Int2_2          BIT2
  #define Int2_1          BIT1
  #define Int2_0          BIT0
extern volatile UINT8 RegInt10 PAGE0; // Adr.18
  #define Int1_7          BIT7
  #define Int1_6          BIT6
  #define Int1_5          BIT5
  #define Int1_4          BIT4
  #define Int1_3          BIT3
  #define Int1_2          BIT2
  #define Int1_1          BIT1
  #define Int1_0          BIT0
extern volatile UINT8 RegInt00 PAGE0; // Adr.19
  #define Int0_7          BIT7
  #define Int0_6          BIT6
  #define Int0_5          BIT5
  #define Int0_4          BIT4
  #define Int0_3          BIT3
  #define Int0_2          BIT2
  #define Int0_1          BIT1
  #define Int0_0          BIT0
extern volatile UINT8 RegMsk20 PAGE0; // Adr.1A
  #define Msk2_7          BIT7
  #define Msk2_6          BIT6
  #define Msk2_5          BIT5
  #define Msk2_4          BIT4
  #define Msk2_3          BIT3
  #define Msk2_2          BIT2
  #define Msk2_1          BIT1
  #define Msk2_0          BIT0
extern volatile UINT8 RegMsk10 PAGE0; // Adr.1B
  #define Msk1_7          BIT7
  #define Msk1_6          BIT6
  #define Msk1_5          BIT5
  #define Msk1_4          BIT4
  #define Msk1_3          BIT3
  #define Msk1_2          BIT2
  #define Msk1_1          BIT1
  #define Msk1_0          BIT0
extern volatile UINT8 RegMsk00 PAGE0; // Adr.1C
  #define Msk0_7          BIT7
  #define Msk0_6          BIT6
  #define Msk0_5          BIT5
  #define Msk0_4          BIT4
  #define Msk0_3          BIT3
  #define Msk0_2          BIT2
  #define Msk0_1          BIT1
  #define Msk0_0          BIT0
extern volatile UINT8 RegAnaCfg PAGE0; // Adr.20
  #define En_SVLD         BIT7
  #define En_BrownOut     BIT6
  #define SvldLevel1      BIT5
  #define SvldLevel2      BIT4
  #define SvldLevel3      BIT3
  #define SVLDStatus      BIT0
extern volatile UINT8 RegInPA PAGE0; // Adr.21
  #define PAIn_7          BIT7
  #define PAIn_6          BIT6
  #define PAIn_5          BIT5
  #define PAIn_4          BIT4
  #define PAIn_3          BIT3
  #define PAIn_2          BIT2
  #define PAIn_1          BIT1
  #define PAIn_0          BIT0
extern volatile UINT8 RegOutPA PAGE0; // Adr.22
  #define OutPA_7         BIT7
  #define OutPA_6         BIT6
  #define OutPA_5         BIT5
  #define OutPA_4         BIT4
  #define OutPA_3         BIT3
  #define OutPA_2         BIT2
  #define OutPA_1         BIT1
  #define OutPA_0         BIT0
extern volatile UINT8 RegCfgPA PAGE0; // Adr.23
  #define Excl_nComb      BIT7
  #define Wk_nRes         BIT6
  #define SplitCmb        BIT5
  #define EnDebRes        BIT4
  #define CkDebRes        BIT3
  #define EnDebWk         BIT2
  #define CkDebWk         BIT1
  #define RCLoop          BIT0
extern volatile UINT8 RegIOSelPA PAGE0; // Adr.24
  #define IOSelPA_7       BIT7
  #define IOSelPA_6       BIT6
  #define IOSelPA_5       BIT5
  #define IOSelPA_4       BIT4
  #define IOSelPA_3       BIT3
  #define IOSelPA_2       BIT2
  #define IOSelPA_1       BIT1
  #define IOSelPA_0       BIT0
extern volatile UINT8 RegCmbKey PAGE0; // Adr.25
  #define CmbKey_7        BIT7
  #define CmbKey_6        BIT6
  #define CmbKey_5        BIT5
  #define CmbKey_4        BIT4
  #define CmbKey_3        BIT3
  #define CmbKey_2        BIT2
  #define CmbKey_1        BIT1
  #define CmbKey_0        BIT0
extern volatile UINT8 RegMskRstWkUp PAGE0; // Adr.26
  #define MskRstWkUp_7    BIT7
  #define MskRstWkUp_6    BIT6
  #define MskRstWkUp_5    BIT5
  #define MskRstWkUp_4    BIT4
  #define MskRstWkUp_3    BIT3
  #define MskRstWkUp_2    BIT2
  #define MskRstWkUp_1    BIT1
  #define MskRstWkUp_0    BIT0
extern volatile UINT8 RegIntEdgPAPA PAGE0; // Adr.27
  #define IntEdgPA_7      BIT7
  #define IntEdgPA_6      BIT6
  #define IntEdgPA_5      BIT5
  #define IntEdgPA_4      BIT4
  #define IntEdgPA_3      BIT3
  #define IntEdgPA_2      BIT2
  #define IntEdgPA_1      BIT1
  #define IntEdgPA_0      BIT0
extern volatile UINT8 RegEnDebPA PAGE0; // Adr.28
  #define EnDebPA_7       BIT7
  #define EnDebPA_6       BIT6
  #define EnDebPA_5       BIT5
  #define EnDebPA_4       BIT4
  #define EnDebPA_3       BIT3
  #define EnDebPA_2       BIT2
  #define EnDebPA_1       BIT1
  #define EnDebPA_0       BIT0
extern volatile UINT8 RegOpenDrainPA PAGE0; // Adr.29
  #define OpenDrainPA_7   BIT7
  #define OpenDrainPA_6   BIT6
  #define OpenDrainPA_5   BIT5
  #define OpenDrainPA_4   BIT4
  #define OpenDrainPA_3   BIT3
  #define OpenDrainPA_2   BIT2
  #define OpenDrainPA_1   BIT1
  #define OpenDrainPA_0   BIT0
extern volatile UINT8 RegPullUpPA PAGE0; // Adr.2A
  #define PullUpPA_7      BIT7
  #define PullUpPA_6      BIT6
  #define PullUpPA_5      BIT5
  #define PullUpPA_4      BIT4
  #define PullUpPA_3      BIT3
  #define PullUpPA_2      BIT2
  #define PullUpPA_1      BIT1
  #define PullUpPA_0      BIT0
extern volatile UINT8 RegPullDownPA PAGE0; // Adr.2B
  #define PullDownPA_7    BIT7
  #define PullDownPA_6    BIT6
  #define PullDownPA_5    BIT5
  #define PullDownPA_4    BIT4
  #define PullDownPA_3    BIT3
  #define PullDownPA_2    BIT2
  #define PullDownPA_1    BIT1
  #define PullDownPA_0    BIT0
extern volatile UINT8 RegInPB PAGE0; // Adr.30
  #define PBIn_7          BIT7
  #define PBIn_6          BIT6
  #define PBIn_5          BIT5
  #define PBIn_4          BIT4
  #define PBIn_3          BIT3
  #define PBIn_2          BIT2
  #define PBIn_1          BIT1
  #define PBIn_0          BIT0
extern volatile UINT8 RegOutPB PAGE0; // Adr.31
  #define OutPB_7         BIT7
  #define OutPB_6         BIT6
  #define OutPB_5         BIT5
  #define OutPB_4         BIT4
  #define OutPB_3         BIT3
  #define OutPB_2         BIT2
  #define OutPB_1         BIT1
  #define OutPB_0         BIT0
extern volatile UINT8 RegCfgPB PAGE0; // Adr.32
  #define EnDualRAM       BIT7
  #define EnSPI           BIT6
  #define EnSig1          BIT5
  #define EnSig2          BIT4
  #define EnSig3          BIT3
  #define EnSig4          BIT2
extern volatile UINT8 RegSigSel PAGE0; // Adr.33
  #define Sig1Sel_1       BIT7
  #define Sig1Sel_0       BIT6
  #define Sig2Sel_1       BIT5
  #define Sig2Sel_0       BIT4
  #define Sig3Sel_1       BIT3
  #define Sig3Sel_0       BIT2
  #define Sig4Sel_1       BIT1
  #define Sig4Sel_0       BIT0
extern volatile UINT8 RegIOSelPB PAGE0; // Adr.34
  #define IOSelPB_7       BIT7
  #define IOSelPB_6       BIT6
  #define IOSelPB_5       BIT5
  #define IOSelPB_4       BIT4
  #define IOSelPB_3       BIT3
  #define IOSelPB_2       BIT2
  #define IOSelPB_1       BIT1
  #define IOSelPB_0       BIT0
extern volatile UINT8 RegOpenDrainPB PAGE0; // Adr.35
  #define OpenDrainPB_7   BIT7
  #define OpenDrainPB_6   BIT6
  #define OpenDrainPB_5   BIT5
  #define OpenDrainPB_4   BIT4
  #define OpenDrainPB_3   BIT3
  #define OpenDrainPB_2   BIT2
  #define OpenDrainPB_1   BIT1
  #define OpenDrainPB_0   BIT0
extern volatile UINT8 RegPullUpPB PAGE0; // Adr.36
  #define PullUpPB_7      BIT7
  #define PullUpPB_6      BIT6
  #define PullUpPB_5      BIT5
  #define PullUpPB_4      BIT4
  #define PullUpPB_3      BIT3
  #define PullUpPB_2      BIT2
  #define PullUpPB_1      BIT1
  #define PullUpPB_0      BIT0
extern volatile UINT8 RegPullDownPB PAGE0; // Adr.37
  #define PullDownPB_7    BIT7
  #define PullDownPB_6    BIT6
  #define PullDownPB_5    BIT5
  #define PullDownPB_4    BIT4
  #define PullDownPB_3    BIT3
  #define PullDownPB_2    BIT2
  #define PullDownPB_1    BIT1
  #define PullDownPB_0    BIT0
extern volatile UINT8 RegSPICfg PAGE0; // Adr.38
  #define Start           BIT7
  #define MS2             BIT6
  #define MS1             BIT5
  #define MS0             BIT4
  #define PosnNegShft     BIT3
  #define MSBnLSB         BIT2
  #define Synchro         BIT1
  #define Load_nShift     BIT0
extern volatile UINT8 RegSPIDat PAGE0; // Adr.39
  #define SPIDat_7        BIT7
  #define SPIDat_6        BIT6
  #define SPIDat_5        BIT5
  #define SPIDat_4        BIT4
  #define SPIDat_3        BIT3
  #define SPIDat_2        BIT2
  #define SPIDat_1        BIT1
  #define SPIDat_0        BIT0
extern volatile UINT8 RegSPILoad PAGE0; // Adr.3A
  #define SPILoad_7       BIT7
  #define SPILoad_6       BIT6
  #define SPILoad_5       BIT5
  #define SPILoad_4       BIT4
  #define SPILoad_3       BIT3
  #define SPILoad_2       BIT2
  #define SPILoad_1       BIT1
  #define SPILoad_0       BIT0
extern volatile UINT8 RegWDSys PAGE0; // Adr.3B
  #define WDClear         BIT7
  #define EnWD            BIT6
  #define WDVal1          BIT5
  #define WDVal0          BIT4
  #define WDClkSel        BIT3
  #define WDKeyLock_2     BIT2
  #define WDKeyLock_1     BIT1
  #define WDKeyLock_0     BIT0
extern volatile UINT8 RegWDKey PAGE0; // Adr.3C
  #define WDKey_7         BIT7
  #define WDKey_6         BIT6
  #define WDKey_5         BIT5
  #define WDKey_4         BIT4
  #define WDKey_3         BIT3
  #define WDKey_2         BIT2
  #define WDKey_1         BIT1
  #define WDKey_0         BIT0
extern volatile UINT8 RegTimersCfg PAGE0; // Adr.4E
  #define EnTim12         BIT7
  #define EnTim34         BIT6
  #define AR1             BIT5
  #define AR2             BIT4
  #define AR3             BIT3
  #define AR4             BIT2
extern volatile UINT8 RegTimersStart PAGE0; // Adr.4F
  #define SWStart1        BIT7
  #define Tim1Pulse       BIT6
  #define SWStart2        BIT5
  #define Tim2Pulse       BIT4
  #define SWStart3        BIT3
  #define Tim3Pulse       BIT2
  #define SWStart4        BIT1
  #define Tim4Pulse       BIT0
extern volatile UINT8 RegTim1Cfg PAGE0; // Adr.50
  #define EnPWM1          BIT7
  #define Tim1Eq          BIT6
  #define Start1Sel_2     BIT5
  #define Start1Sel_1     BIT4
  #define Start1Sel_0     BIT3
  #define Clk1Sel_2       BIT2
  #define Clk1Sel_1       BIT1
  #define Clk1Sel_0       BIT0
extern volatile UINT8 RegTim1Status PAGE0; // Adr.51
  #define Tim1Status_7    BIT7
  #define Tim1Status_6    BIT6
  #define Tim1Status_5    BIT5
  #define Tim1Status_4    BIT4
  #define Tim1Status_3    BIT3
  #define Tim1Status_2    BIT2
  #define Tim1Status_1    BIT1
  #define Tim1Status_0    BIT0
extern volatile UINT8 RegTim1Load PAGE0; // Adr.52
  #define Tim1Load_7      BIT7
  #define Tim1Load_6      BIT6
  #define Tim1Load_5      BIT5
  #define Tim1Load_4      BIT4
  #define Tim1Load_3      BIT3
  #define Tim1Load_2      BIT2
  #define Tim1Load_1      BIT1
  #define Tim1Load_0      BIT0
extern volatile UINT8 RegTim1Comp PAGE0; // Adr.53
  #define Tim1Comp_7      BIT7
  #define Tim1Comp_6      BIT6
  #define Tim1Comp_5      BIT5
  #define Tim1Comp_4      BIT4
  #define Tim1Comp_3      BIT3
  #define Tim1Comp_2      BIT2
  #define Tim1Comp_1      BIT1
  #define Tim1Comp_0      BIT0
extern volatile UINT8 RegTim2Cfg PAGE0; // Adr.54
  #define EnPWM2          BIT7
  #define Tim2Eq          BIT6
  #define Start2Sel_2     BIT5
  #define Start2Sel_1     BIT4
  #define Start2Sel_0     BIT3
  #define Clk2Sel_2       BIT2
  #define Clk2Sel_1       BIT1
  #define Clk2Sel_0       BIT0
extern volatile UINT8 RegTim2Status PAGE0; // Adr.55
  #define Tim2Status_7    BIT7
  #define Tim2Status_6    BIT6
  #define Tim2Status_5    BIT5
  #define Tim2Status_4    BIT4
  #define Tim2Status_3    BIT3
  #define Tim2Status_2    BIT2
  #define Tim2Status_1    BIT1
  #define Tim2Status_0    BIT0
extern volatile UINT8 RegTim2Load PAGE0; // Adr.56
  #define Tim2Load_7      BIT7
  #define Tim2Load_6      BIT6
  #define Tim2Load_5      BIT5
  #define Tim2Load_4      BIT4
  #define Tim2Load_3      BIT3
  #define Tim2Load_2      BIT2
  #define Tim2Load_1      BIT1
  #define Tim2Load_0      BIT0
extern volatile UINT8 RegTim2Comp PAGE0; // Adr.57
  #define Tim2Comp_7      BIT7
  #define Tim2Comp_6      BIT6
  #define Tim2Comp_5      BIT5
  #define Tim2Comp_4      BIT4
  #define Tim2Comp_3      BIT3
  #define Tim2Comp_2      BIT2
  #define Tim2Comp_1      BIT1
  #define Tim2Comp_0      BIT0
extern volatile UINT8 RegTim3Cfg PAGE0; // Adr.58
  #define EnPWM3          BIT7
  #define Tim3Eq          BIT6
  #define Start3Sel_2     BIT5
  #define Start3Sel_1     BIT4
  #define Start3Sel_0     BIT3
  #define Clk3Sel_2       BIT2
  #define Clk3Sel_1       BIT1
  #define Clk3Sel_0       BIT0
extern volatile UINT8 RegTim3Status PAGE0; // Adr.59
  #define Tim3Status_7    BIT7
  #define Tim3Status_6    BIT6
  #define Tim3Status_5    BIT5
  #define Tim3Status_4    BIT4
  #define Tim3Status_3    BIT3
  #define Tim3Status_2    BIT2
  #define Tim3Status_1    BIT1
  #define Tim3Status_0    BIT0
extern volatile UINT8 RegTim3Load PAGE0; // Adr.5A
  #define Tim3Load_7      BIT7
  #define Tim3Load_6      BIT6
  #define Tim3Load_5      BIT5
  #define Tim3Load_4      BIT4
  #define Tim3Load_3      BIT3
  #define Tim3Load_2      BIT2
  #define Tim3Load_1      BIT1
  #define Tim3Load_0      BIT0
extern volatile UINT8 RegTim3Comp PAGE0; // Adr.5B
  #define Tim3Comp_7      BIT7
  #define Tim3Comp_6      BIT6
  #define Tim3Comp_5      BIT5
  #define Tim3Comp_4      BIT4
  #define Tim3Comp_3      BIT3
  #define Tim3Comp_2      BIT2
  #define Tim3Comp_1      BIT1
  #define Tim3Comp_0      BIT0
extern volatile UINT8 RegTim4Cfg PAGE0; // Adr.5C
  #define EnPWM4          BIT7
  #define Tim4Eq          BIT6
  #define Start4Sel_2     BIT5
  #define Start4Sel_1     BIT4
  #define Start4Sel_0     BIT3
  #define Clk4Sel_2       BIT2
  #define Clk4Sel_1       BIT1
  #define Clk4Sel_0       BIT0
extern volatile UINT8 RegTim4Status PAGE0; // Adr.5D
  #define Tim4Status_7    BIT7
  #define Tim4Status_6    BIT6
  #define Tim4Status_5    BIT5
  #define Tim4Status_4    BIT4
  #define Tim4Status_3    BIT3
  #define Tim4Status_2    BIT2
  #define Tim4Status_1    BIT1
  #define Tim4Status_0    BIT0
extern volatile UINT8 RegTim4Load PAGE0; // Adr.5E
  #define Tim4Load_7      BIT7
  #define Tim4Load_6      BIT6
  #define Tim4Load_5      BIT5
  #define Tim4Load_4      BIT4
  #define Tim4Load_3      BIT3
  #define Tim4Load_2      BIT2
  #define Tim4Load_1      BIT1
  #define Tim4Load_0      BIT0
extern volatile UINT8 RegTim4Comp PAGE0; // Adr.5F
  #define Tim4Comp_7      BIT7
  #define Tim4Comp_6      BIT6
  #define Tim4Comp_5      BIT5
  #define Tim4Comp_4      BIT4
  #define Tim4Comp_3      BIT3
  #define Tim4Comp_2      BIT2
  #define Tim4Comp_1      BIT1
  #define Tim4Comp_0      BIT0

/************************************************************************/
/* Support for old names definition  */
/************************************************************************/

extern volatile UINT8 RegRam0 PAGE0; // Adr. 0x0C
extern volatile UINT8 RegRam1 PAGE0; // Adr. 0x0D
extern volatile UINT8 RegRam2 PAGE0; // Adr. 0x0E
extern volatile UINT8 RegRam3 PAGE0; // Adr. 0x0F

extern volatile UINT8 RegSys1 PAGE0; // Adr. 0x10
	#define	Sleep		      BIT7
	#define	DisResetPad	  BIT6
	#define	DisOPTResInp	BIT5
	#define	FlagXtal	    BIT4
	#define	OPTCldStart_1	BIT3
	#define	OPTCldStart_0	BIT2
	#define	FreqRange	    BIT1
	#define	EnRC		      BIT0
extern volatile UINT8 RegSys2 PAGE0; // Adr.11
	#define	EnXtal		    BIT7
	#define	SelExtClk1	  BIT6
	#define	SelClk1Source	BIT5
	#define	SelExtClk2	  BIT4
	#define	Sel32k		    BIT2
	#define	RCDiv_1	      BIT1
	#define	RCDiv_0	      BIT0
extern volatile UINT8 RegResStat PAGE0; // Adr.12
	#define	ResetPadFlag	  BIT7
	#define	ResetWDFlag	    BIT6
	#define	ResetOPTInpFlag	BIT5
	#define	ResBwnOutFlag	  BIT4
	#define	SleepEn		      BIT3
	#define	EnResetPadDeb	  BIT2
	#define	ResPadDebFast	  BIT1
	#define	DatOscout	      BIT0
extern volatile UINT8 RegTrimRC PAGE0; // Adr.13
	#define	Trim_7		      BIT7
	#define	Trim_6		      BIT6
	#define	Trim_5		      BIT5
	#define	Trim_4		      BIT4
	#define	Trim_3		      BIT3
	#define	Trim_2		      BIT2
	#define	Trim_1		      BIT1
	#define	Trim_0		      BIT0
extern volatile UINT8 RegPrCkSel PAGE0; // Adr.14
	#define	Prsc1CkSel_2	  BIT7
	#define	Prsc1CkSel_1	  BIT6
	#define	Prsc1CkSel_0	  BIT5
	#define	AutoSel		      BIT4
	#define	Prsc2CkSel	    BIT3
	#define	Prsc1En		      BIT2
	#define	Prsc2En		      BIT1
extern volatile UINT8 RegPresc1Status PAGE0; // Adr.15
	#define	Prsc1Status_7	BIT7
	#define	Prsc1Status_6	BIT6
	#define	Prsc1Status_5	BIT5
	#define	Prsc1Status_4	BIT4
	#define	Prsc1Status_3	BIT3
	#define	Prsc1Status_2	BIT2
	#define	Prsc1Status_1	BIT1
	#define	Prsc1Status_0	BIT0
extern volatile UINT8 RegPresc2Status PAGE0; // Adr.16
	#define	Prsc2Status_7	BIT7
	#define	Prsc2Status_6	BIT6
	#define	Prsc2Status_5	BIT5
	#define	Prsc2Status_4	BIT4
	#define	Prsc2Status_3	BIT3
	#define	Prsc2Status_2	BIT2
	#define	Prsc2Status_1	BIT1
	#define	Prsc2Status_0	BIT0
extern volatile UINT8 RegInt20 PAGE0; // Adr.17
	#define	Int2_7		BIT7
	#define	Int2_6		BIT6
	#define	Int2_5		BIT5
	#define	Int2_4		BIT4
	#define	Int2_3		BIT3
	#define	Int2_2		BIT2
	#define	Int2_1		BIT1
	#define	Int2_0		BIT0
extern volatile UINT8 RegInt10 PAGE0; // Adr.18
	#define	Int1_7		BIT7
	#define	Int1_6		BIT6
	#define	Int1_5		BIT5
	#define	Int1_4		BIT4
	#define	Int1_3		BIT3
	#define	Int1_2		BIT2
	#define	Int1_1		BIT1
	#define	Int1_0		BIT0
extern volatile UINT8 RegInt00 PAGE0; // Adr.19
	#define	Int0_7		BIT7
	#define	Int0_6		BIT6
	#define	Int0_5		BIT5
	#define	Int0_4		BIT4
	#define	Int0_3		BIT3
	#define	Int0_2		BIT2
	#define	Int0_1		BIT1
	#define	Int0_0		BIT0
extern volatile UINT8 RegMsk20 PAGE0; // Adr.1A
	#define	Msk2_7		BIT7
	#define	Msk2_6		BIT6
	#define	Msk2_5		BIT5
	#define	Msk2_4		BIT4
	#define	Msk2_3		BIT3
	#define	Msk2_2		BIT2
	#define	Msk2_1		BIT1
	#define	Msk2_0		BIT0
extern volatile UINT8 RegMsk10 PAGE0; // Adr.1B
	#define	Msk1_7		BIT7
	#define	Msk1_6		BIT6
	#define	Msk1_5		BIT5
	#define	Msk1_4		BIT4
	#define	Msk1_3		BIT3
	#define	Msk1_2		BIT2
	#define	Msk1_1		BIT1
	#define	Msk1_0		BIT0
extern volatile UINT8 RegMsk00 PAGE0; // Adr.1C
	#define	Msk0_7		BIT7
	#define	Msk0_6		BIT6
	#define	Msk0_5		BIT5
	#define	Msk0_4		BIT4
	#define	Msk0_3		BIT3
	#define	Msk0_2		BIT2
	#define	Msk0_1		BIT1
	#define	Msk0_0		BIT0
extern volatile UINT8 RegGB PAGE0; // Adr.1D
	#define	Trdmon_gb_4	BIT4
	#define	Trdmon_gb_3	BIT3
	#define	Trdmon_gb_2	BIT2
	#define	Trdmon_gb_1	BIT1
	#define	Trdmon_gb_0	BIT0
extern volatile UINT8 RegAnaCfg PAGE0; // Adr.20
	#define	En_SVLD		  BIT7
	#define	En_BrownOut	BIT6
	#define	SelLevel1	  BIT5
	#define	SelLevel2	  BIT4
	#define	SelLevel3	  BIT3
	#define	SVLDStatus	BIT0
extern volatile UINT8 RegInPA PAGE0; // Adr.21
	#define	PAIn_7		BIT7
	#define	PAIn_6		BIT6
	#define	PAIn_5		BIT5
	#define	PAIn_4		BIT4
	#define	PAIn_3		BIT3
	#define	PAIn_2		BIT2
	#define	PAIn_1		BIT1
	#define	PAIn_0		BIT0
extern volatile UINT8 RegOutPA PAGE0; // Adr.22
	#define	PAOut_7	BIT7
	#define	PAOut_6	BIT6
	#define	PAOut_5	BIT5
	#define	PAOut_4	BIT4
	#define	PAOut_3	BIT3
	#define	PAOut_2	BIT2
	#define	PAOut_1	BIT1
	#define	PAOut_0	BIT0
extern volatile UINT8 RegCfgPA PAGE0; // Adr.23
	#define	Excl_nComb	BIT7
	#define	Wk_nRes		  BIT6
	#define	SplitCmb	  BIT5
	#define	EnDebResPA	BIT4
	#define	CkDebResPA	BIT3
	#define	EnDebWkPA	  BIT2
	#define	CkDebWkPA	  BIT1
	#define	RCLoop		  BIT0
extern volatile UINT8 RegIOSelPA PAGE0; // Adr.24
	#define	OutEn_7	BIT7
	#define	OutEn_6	BIT6
	#define	OutEn_5	BIT5
	#define	OutEn_4	BIT4
	#define	OutEn_3	BIT3
	#define	OutEn_2	BIT2
	#define	OutEn_1	BIT1
	#define	OutEn_0	BIT0
extern volatile UINT8 RegCmbPA PAGE0; // Adr.25
	#define	CmbPA_7	BIT7
	#define	CmbPA_6	BIT6
	#define	CmbPA_5	BIT5
	#define	CmbPA_4	BIT4
	#define	CmbPA_3	BIT3
	#define	CmbPA_2	BIT2
	#define	CmbPA_1	BIT1
	#define	CmbPA_0	BIT0
extern volatile UINT8 RegMskPA PAGE0; // Adr.26
	#define	MskPA_7	BIT7
	#define	MskPA_6	BIT6
	#define	MskPA_5	BIT5
	#define	MskPA_4	BIT4
	#define	MskPA_3	BIT3
	#define	MskPA_2	BIT2
	#define	MskPA_1	BIT1
	#define	MskPA_0	BIT0
extern volatile UINT8 RegIntEdgPA PAGE0; // Adr.27
	#define	IntEdg_7	BIT7
	#define	IntEdg_6	BIT6
	#define	IntEdg_5	BIT5
	#define	IntEdg_4	BIT4
	#define	IntEdg_3	BIT3
	#define	IntEdg_2	BIT2
	#define	IntEdg_1	BIT1
	#define	IntEdg_0	BIT0
extern volatile UINT8 RegEnDebPA PAGE0; // Adr.28
	#define	EnDeb_7	BIT7
	#define	EnDeb_6	BIT6
	#define	EnDeb_5	BIT5
	#define	EnDeb_4	BIT4
	#define	EnDeb_3	BIT3
	#define	EnDeb_2	BIT2
	#define	EnDeb_1	BIT1
	#define	EnDeb_0	BIT0
extern volatile UINT8 RegOpenDrainPA PAGE0; // Adr.29
	#define	OD_7		BIT7
	#define	OD_6		BIT6
	#define	OD_5		BIT5
	#define	OD_4		BIT4
	#define	OD_3		BIT3
	#define	OD_2		BIT2
	#define	OD_1		BIT1
	#define	OD_0		BIT0
extern volatile UINT8 RegPullUpPA PAGE0; // Adr.2A
	#define	PullUp_7	BIT7
	#define	PullUp_6	BIT6
	#define	PullUp_5	BIT5
	#define	PullUp_4	BIT4
	#define	PullUp_3	BIT3
	#define	PullUp_2	BIT2
	#define	PullUp_1	BIT1
	#define	PullUp_0	BIT0
extern volatile UINT8 RegPullDownPA PAGE0; // Adr.2B
	#define	PullDown_7	BIT7
	#define	PullDown_6	BIT6
	#define	PullDown_5	BIT5
	#define	PullDown_4	BIT4
	#define	PullDown_3	BIT3
	#define	PullDown_2	BIT2
	#define	PullDown_1	BIT1
	#define	PullDown_0	BIT0
extern volatile UINT8 RegInPB PAGE0; // Adr.30
	#define	PBIn_7		BIT7
	#define	PBIn_6		BIT6
	#define	PBIn_5		BIT5
	#define	PBIn_4		BIT4
	#define	PBIn_3		BIT3
	#define	PBIn_2		BIT2
	#define	PBIn_1		BIT1
	#define	PBIn_0		BIT0
extern volatile UINT8 RegOutPB PAGE0; // Adr.31
	#define	PBOut_7	BIT7
	#define	PBOut_6	BIT6
	#define	PBOut_5	BIT5
	#define	PBOut_4	BIT4
	#define	PBOut_3	BIT3
	#define	PBOut_2	BIT2
	#define	PBOut_1	BIT1
	#define	PBOut_0	BIT0
extern volatile UINT8 RegCfgPB PAGE0; // Adr.32
	#define	EnDualRAM	BIT7
	#define	EnSPI		  BIT6
	#define	EnInt1		BIT5
	#define	EnInt2		BIT4
	#define	EnInt3		BIT3
	#define	EnInt4		BIT2
extern volatile UINT8 RegIntSel PAGE0; // Adr.33
	#define	Int1Sel_1	BIT7
	#define	Int1Sel_0	BIT6
	#define	Int2Sel_1	BIT5
	#define	Int2Sel_0	BIT4
	#define	Int3Sel_1	BIT3
	#define	Int3Sel_0	BIT2
	#define	Int4Sel_1	BIT1
	#define	Int4Sel_0	BIT0
extern volatile UINT8 RegIOSelPB PAGE0; // Adr.34
	#define	OutEn_7	BIT7
	#define	OutEn_6	BIT6
	#define	OutEn_5	BIT5
	#define	OutEn_4	BIT4
	#define	OutEn_3	BIT3
	#define	OutEn_2	BIT2
	#define	OutEn_1	BIT1
	#define	OutEn_0	BIT0
extern volatile UINT8 RegOpenDrainPB PAGE0; // Adr.35
	#define	OD_7		BIT7
	#define	OD_6		BIT6
	#define	OD_5		BIT5
	#define	OD_4		BIT4
	#define	OD_3		BIT3
	#define	OD_2		BIT2
	#define	OD_1		BIT1
	#define	OD_0		BIT0
extern volatile UINT8 RegPullUpPB PAGE0; // Adr.36
	#define	PullUp_7	BIT7
	#define	PullUp_6	BIT6
	#define	PullUp_5	BIT5
	#define	PullUp_4	BIT4
	#define	PullUp_3	BIT3
	#define	PullUp_2	BIT2
	#define	PullUp_1	BIT1
	#define	PullUp_0	BIT0
extern volatile UINT8 RegPullDownPB PAGE0; // Adr.37
	#define	PullDown_7	BIT7
	#define	PullDown_6	BIT6
	#define	PullDown_5	BIT5
	#define	PullDown_4	BIT4
	#define	PullDown_3	BIT3
	#define	PullDown_2	BIT2
	#define	PullDown_1	BIT1
	#define	PullDown_0	BIT0
extern volatile UINT8 RegSPICfg PAGE0; // Adr.38
	#define	Start		    BIT7
	#define	MS2		      BIT6
	#define	MS1		      BIT5
	#define	MS0		      BIT4
	#define	PosnNegShft	BIT3
	#define	MSBnLSB		  BIT2
	#define	Synchro		  BIT1
	#define	Load_nShift	BIT0
extern volatile UINT8 RegSPIDat PAGE0; // Adr.39
	#define	SPIDat_7	BIT7
	#define	SPIDat_6	BIT6
	#define	SPIDat_5	BIT5
	#define	SPIDat_4	BIT4
	#define	SPIDat_3	BIT3
	#define	SPIDat_2	BIT2
	#define	SPIDat_1	BIT1
	#define	SPIDat_0	BIT0
extern volatile UINT8 RegSPILoad PAGE0; // Adr.3A
	#define	SPILoad_7	BIT7
	#define	SPILoad_6	BIT6
	#define	SPILoad_5	BIT5
	#define	SPILoad_4	BIT4
	#define	SPILoad_3	BIT3
	#define	SPILoad_2	BIT2
	#define	SPILoad_1	BIT1
	#define	SPILoad_0	BIT0
extern volatile UINT8 RegWDSys PAGE0; // Adr.3B
	#define	WDClear		  BIT7
	#define	EnWD		    BIT6
	#define	WDVal1		  BIT5
	#define	WDVal0		  BIT4
	#define	WDClkSel	  BIT3
	#define	WDKeyLock_2	BIT2
	#define	WDKeyLock_1	BIT1
	#define	WDKeyLock_0	BIT0
extern volatile UINT8 RegWDKey PAGE0; // Adr.3C
	#define	WDKey_7	BIT7
	#define	WDKey_6	BIT6
	#define	WDKey_5	BIT5
	#define	WDKey_4	BIT4
	#define	WDKey_3	BIT3
	#define	WDKey_2	BIT2
	#define	WDKey_1	BIT1
	#define	WDKey_0	BIT0
extern volatile UINT8 RegTimersCfg PAGE0; // Adr.4E
	#define	EnTim12		BIT7
	#define	EnTim34		BIT6
	#define	AR1		    BIT5
	#define	AR2		    BIT4
	#define	AR3		    BIT3
	#define	AR4		    BIT2
extern volatile UINT8 RegTimersStart PAGE0; // Adr.4F
	#define	SWStart1	BIT7
	#define	Tim1Pulse	BIT6
	#define	SWStart2	BIT5
	#define	Tim2Pulse	BIT4
	#define	SWStart3	BIT3
	#define	Tim3Pulse	BIT2
	#define	SWStart4	BIT1
	#define	Tim4Pulse	BIT0
extern volatile UINT8 RegTim1Cfg PAGE0; // Adr.50
	#define	EnPWM1		  BIT7
	#define	TimEq1		  BIT6
	#define	Start1Sel_2	BIT5
	#define	Start1Sel_1	BIT4
	#define	Start1Sel_0	BIT3
	#define	Clk1Sel_2	  BIT2
	#define	Clk1Sel_1	  BIT1
	#define	Clk1Sel_0	  BIT0
extern volatile UINT8 RegTim1Status PAGE0; // Adr.51
	#define	Tim1Status_7	BIT7
	#define	Tim1Status_6	BIT6
	#define	Tim1Status_5	BIT5
	#define	Tim1Status_4	BIT4
	#define	Tim1Status_3	BIT3
	#define	Tim1Status_2	BIT2
	#define	Tim1Status_1	BIT1
	#define	Tim1Status_0	BIT0
extern volatile UINT8 RegTim1Load PAGE0; // Adr.52
	#define	Tim1Load_7	BIT7
	#define	Tim1Load_6	BIT6
	#define	Tim1Load_5	BIT5
	#define	Tim1Load_4	BIT4
	#define	Tim1Load_3	BIT3
	#define	Tim1Load_2	BIT2
	#define	Tim1Load_1	BIT1
	#define	Tim1Load_0	BIT0
extern volatile UINT8 RegTim1Comp PAGE0; // Adr.53
	#define	Tim1Comp_7	BIT7
	#define	Tim1Comp_6	BIT6
	#define	Tim1Comp_5	BIT5
	#define	Tim1Comp_4	BIT4
	#define	Tim1Comp_3	BIT3
	#define	Tim1Comp_2	BIT2
	#define	Tim1Comp_1	BIT1
	#define	Tim1Comp_0	BIT0
extern volatile UINT8 RegTim2Cfg PAGE0; // Adr.54
	#define	EnPWM2		  BIT7
	#define	TimEq2		  BIT6
	#define	Start2Sel_2	BIT5
	#define	Start2Sel_1	BIT4
	#define	Start2Sel_0	BIT3
	#define	Clk2Sel_2	  BIT2
	#define	Clk2Sel_1	  BIT1
	#define	Clk2Sel_0	  BIT0
extern volatile UINT8 RegTim2Status PAGE0; // Adr.55
	#define	Tim2Status_7	BIT7
	#define	Tim2Status_6	BIT6
	#define	Tim2Status_5	BIT5
	#define	Tim2Status_4	BIT4
	#define	Tim2Status_3	BIT3
	#define	Tim2Status_2	BIT2
	#define	Tim2Status_1	BIT1
	#define	Tim2Status_0	BIT0
extern volatile UINT8 RegTim2Load PAGE0; // Adr.56
	#define	Tim2Load_7	BIT7
	#define	Tim2Load_6	BIT6
	#define	Tim2Load_5	BIT5
	#define	Tim2Load_4	BIT4
	#define	Tim2Load_3	BIT3
	#define	Tim2Load_2	BIT2
	#define	Tim2Load_1	BIT1
	#define	Tim2Load_0	BIT0
extern volatile UINT8 RegTim2Comp PAGE0; // Adr.57
	#define	Tim2Comp_7	BIT7
	#define	Tim2Comp_6	BIT6
	#define	Tim2Comp_5	BIT5
	#define	Tim2Comp_4	BIT4
	#define	Tim2Comp_3	BIT3
	#define	Tim2Comp_2	BIT2
	#define	Tim2Comp_1	BIT1
	#define	Tim2Comp_0	BIT0
extern volatile UINT8 RegTim3Cfg PAGE0; // Adr.58
	#define	EnPWM3		  BIT7
	#define	TimEq3		  BIT6
	#define	Start3Sel_2	BIT5
	#define	Start3Sel_1	BIT4
	#define	Start3Sel_0	BIT3
	#define	Clk3Sel_2	  BIT2
	#define	Clk3Sel_1	  BIT1
	#define	Clk3Sel_0	  BIT0
extern volatile UINT8 RegTim3Status PAGE0; // Adr.59
	#define	Tim3Status_7	BIT7
	#define	Tim3Status_6	BIT6
	#define	Tim3Status_5	BIT5
	#define	Tim3Status_4	BIT4
	#define	Tim3Status_3	BIT3
	#define	Tim3Status_2	BIT2
	#define	Tim3Status_1	BIT1
	#define	Tim3Status_0	BIT0
extern volatile UINT8 RegTim3Load PAGE0; // Adr.5A
	#define	Tim3Load_7	BIT7
	#define	Tim3Load_6	BIT6
	#define	Tim3Load_5	BIT5
	#define	Tim3Load_4	BIT4
	#define	Tim3Load_3	BIT3
	#define	Tim3Load_2	BIT2
	#define	Tim3Load_1	BIT1
	#define	Tim3Load_0	BIT0
extern volatile UINT8 RegTim3Comp PAGE0; // Adr.5B
	#define	Tim3Comp_7	BIT7
	#define	Tim3Comp_6	BIT6
	#define	Tim3Comp_5	BIT5
	#define	Tim3Comp_4	BIT4
	#define	Tim3Comp_3	BIT3
	#define	Tim3Comp_2	BIT2
	#define	Tim3Comp_1	BIT1
	#define	Tim3Comp_0	BIT0
extern volatile UINT8 RegTim4Cfg PAGE0; // Adr.5C
	#define	EnPWM4		  BIT7
	#define	TimEq4		  BIT6
	#define	Start4Sel_2	BIT5
	#define	Start4Sel_1	BIT4
	#define	Start4Sel_0	BIT3
	#define	Clk4Sel_2	  BIT2
	#define	Clk4Sel_1	  BIT1
	#define	Clk4Sel_0	  BIT0
extern volatile UINT8 RegTim4Status PAGE0; // Adr.5D
	#define	Tim4Status_7	BIT7
	#define	Tim4Status_6	BIT6
	#define	Tim4Status_5	BIT5
	#define	Tim4Status_4	BIT4
	#define	Tim4Status_3	BIT3
	#define	Tim4Status_2	BIT2
	#define	Tim4Status_1	BIT1
	#define	Tim4Status_0	BIT0
extern volatile UINT8 RegTim4Load PAGE0; // Adr.5E
	#define	Tim4Load_7	BIT7
	#define	Tim4Load_6	BIT6
	#define	Tim4Load_5	BIT5
	#define	Tim4Load_4	BIT4
	#define	Tim4Load_3	BIT3
	#define	Tim4Load_2	BIT2
	#define	Tim4Load_1	BIT1
	#define	Tim4Load_0	BIT0
extern volatile UINT8 RegTim4Comp PAGE0; // Adr.5F
	#define	Tim4Comp_7	BIT7
	#define	Tim4Comp_6	BIT6
	#define	Tim4Comp_5	BIT5
	#define	Tim4Comp_4	BIT4
	#define	Tim4Comp_3	BIT3
	#define	Tim4Comp_2	BIT2
	#define	Tim4Comp_1	BIT1
	#define	Tim4Comp_0	BIT0
/************************************************************************/
#endif /* __PERIPH__ */


