/*
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o File        o Types.h                                           
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Author      o EM Microelectronic-Marin SA
o Company     o EM Microelectronic-Marin SA                                                                            
o Project     o skeleton EM6812                                      
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo                                                                                                                                                                      
o Comments    o Some Types declaration - dependencie file
o             o
o             o                                     
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o Version     o 1.0
o Date        o 10.11.04
o Change      o Initial                                          
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
*/

// Definitions section
#ifndef __TYPES__
#define __TYPES__

// Include section

// Types

// Page access types
#define PAGE0          __attribute__ ((page_0))
#define PAGEINDIRECT   __attribute__ ((indirect))

// C Types for syntax definition
typedef unsigned char   UINT8;
typedef	signed char		  SINT8;
typedef	unsigned int	  UINT16;
typedef	signed int		  SINT16;
typedef	float		        FLOAT24;

//	usefull definitions for bit addressing
// Some values
#define 	FULL			0xFF
#define		ZERO			0x00
#define 	ON				1
#define 	OFF				0
#define		HIGH			TRUE
#define		LOW				FALSE
// Some rules
#define	  BIT7			0x80
#define	  BIT6			0x40
#define	  BIT5			0x20
#define	  BIT4			0x10
#define	  BIT3			0x08
#define	  BIT2			0x04
#define	  BIT1			0x02
#define	  BIT0			0x01

//	eBitMask	bit mask definition (enumerated)
typedef enum eBitMask {
	eB0 = 0x01, eB1 = 0x02, eB2 = 0x04, eB3 = 0x08,
	 eB4 = 0x10, eB5 = 0x20, eB6 = 0x40, eB7 = 0x80
} MaskType;

//	eBitPos		bit position from lsb
typedef enum eBitPos {
	eB0Pos = 0, eB1Pos, eB2Pos, eB3Pos,
	eB4Pos, eB5Pos, eB6Pos, eB7Pos
} BitPosType;

#endif
